package com.example.todokotlin

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.lifecycle.viewmodel.compose.viewModel
import com.example.todokotlin.ui.TodoApp
import com.example.todokotlin.ui.theme.TodoKotlinTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            TodoKotlinTheme {
                val viewModel: TodoViewModel = viewModel()
                TodoApp(viewModel = viewModel)
            }
        }
    }
}
